Holger's Java API

## com.antelmann.util.gui
Class FormValidationWarning

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              com.antelmann.util.gui.FormValidationWarning

All Implemented Interfaces:
  WarningOnly, Serializable

    public class FormValidationWarning

extends Exception
implements WarningOnly

indicates a problem during a form validation

Author:
  Holger Antelmann
See Also:
  `FormDialog`, Serialized Form

Constructor Summary
`FormValidationWarning(Component form, String message, Component errorComponent)`
`FormValidationWarning(Throwable cause)` used when an exception prevented the validation to succeed

Method Summary
`Component` `getErrorComponent()` the component that needs focus after a message is displayed
`Component` `getForm()`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### FormValidationWarning

    public FormValidationWarning(Throwable cause)

  used when an exception prevented the validation to succeed

### FormValidationWarning

    public FormValidationWarning(Component form,
                                 String message,
                                 Component errorComponent)

Method Detail

### getForm

    public Component getForm()

### getErrorComponent

    public Component getErrorComponent()

  the component that needs focus after a message is displayed

(c) Holger Antelmann since 2001- all rights reserved (contact: info@antelmann.com)
see www.antelmann.com/developer for further details and available downloads